Name:           maui-mauikit
Version:        3.0.2
Release:        1%{?dist}
License:        LGPL-3.0-only
Summary:        Kit for developing Maui Apps
Url:            https://invent.kde.org/maui/mauikit
Source:         https://invent.kde.org/maui/mauikit/-/archive/v%{version}/mauikit-v%{version}.tar.gz
# Use Fedora specific include path for KF6I18n
Patch:          ki18n-fedora-include-path.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake

BuildRequires:  extra-cmake-modules
BuildRequires:  kf6-rpm-macros
BuildRequires:  kf6-plasma-devel
BuildRequires:  libxcb-devel
BuildRequires:  pkgconfig(xcb-ewmh)

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(MauiMan4)

%description
Kit for developing MAUI Apps. MauiKit is a set of utilities 
and "templated" controls based on Kirigami and QCC2 that 
follow the ongoing work on the Maui HIG. It let you quickly 
create a Maui application and access utilities and widgets
shared among the other Maui apps.

%package devel
Summary:        MauiKit development headers
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Required headers to build components based
on the MauKit framework.

%prep
%autosetup -n mauikit-v%{version} -p1

%build
%cmake_kf6 -DBUILD_WITH_QT5=OFF -DBUILD_WITH_QT6=ON
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc README.md
%license LICENSES/LGPL-3.0.txt
%dir %{_kf6_qmldir}/QtQuick/Controls
%{_kf6_qmldir}/QtQuick/Controls/Maui/
%dir %{_kf6_qmldir}/org/mauikit/
%dir %{_kf6_qmldir}/org/mauikit/controls
%{_kf6_qmldir}/org/mauikit/controls/*.qml
%{_kf6_qmldir}/org/mauikit/controls/libMauiKit4.so
%{_kf6_qmldir}/org/mauikit/controls/MauiKit4.qmltypes
%{_kf6_qmldir}/org/mauikit/controls/kde-qmlmodule.version
%{_kf6_qmldir}/org/mauikit/controls/qmldir
%dir %{_kf6_qmldir}/org/mauikit/style
%{_kf6_qmldir}/org/mauikit/style/MauiStyle.qmltypes
%{_kf6_qmldir}/org/mauikit/style/kde-qmlmodule.version
%{_kf6_qmldir}/org/mauikit/style/qmldir
%dir %{_kf6_qmldir}/org/mauikit/style/impl/
%{_kf6_qmldir}/org/mauikit/style/impl/qmldir
%{_kf6_qmldir}/org/mauikit/style/libMauiStyle.so
%dir %{_kf6_qmldir}/org/mauikit/controls/private
%{_kf6_qmldir}/org/mauikit/controls/private/*.qml
%{_kf6_datadir}/org.mauikit.controls/
%{_kf6_qmldir}/QtQuick/Controls.2/org.maui.style/
%{_libdir}/libMauiKit4.so

%files devel
%dir %{_includedir}/MauiKit4
%dir %{_includedir}/MauiKit4/Core
%{_includedir}/MauiKit4/Core/*.h
%dir %{_libdir}/cmake/MauiKit4
%{_libdir}/cmake/MauiKit4/*.cmake


%changelog
* Sun Feb 11 2024 Benson Muite <benson_muite@emailplus.org> - 3.0.2-1
- Upgrade to release 3.0.2
- Use SPDX license identifier

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 20 2022 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 2.1.1-1
- 2.1.1

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 09 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 1.2.2-1
- initial package
